<app-loading-animation *ngIf="isLoading"></app-loading-animation>

<div mat-dialog-title>
  Edit the person
</div>

<div mat-dialog-content [class.blur-2]="isLoading">
  <form layout
        layout-wrap
        #form="ngForm">
    <mat-form-field flex="100">
      <mat-label>First name</mat-label>
      <input type="text"
             matInput
             id="clientName"
             name="clientName"
             placeholder="Enter the first name of employee"
             #clientNameInput="ngModel"
             required
             [(ngModel)]="model.firstName">
      <mat-icon matSuffix *ngIf="clientNameInput.pending">
        <app-loading-animation size="15px" blobSize="5px"></app-loading-animation>
      </mat-icon>

      <mat-error *ngIf="clientNameInput.errors?.required">
        First name is required
      </mat-error>
    </mat-form-field>

    <mat-form-field flex="100">
      <mat-label>Last name</mat-label>
      <input type="text"
             matInput
             id="lastName"
             name="lastName"
             placeholder="Enter the last name of employee"
             #clientNameInput="ngModel"
             required
             [(ngModel)]="model.lastName">

      <mat-icon matSuffix *ngIf="clientNameInput.pending">
        <app-loading-animation size="15px" blobSize="5px"></app-loading-animation>
      </mat-icon>

      <mat-error *ngIf="clientNameInput.errors?.required">
        Last name is required
      </mat-error>
    </mat-form-field>

    <mat-checkbox flex="100"
                  id="isEmployee"
                  name="isEmployee"
                  class="example-margin"
                  [(ngModel)]="model.isEmployee">
      Is employee
    </mat-checkbox>
  </form>
</div>
<div mat-dialog-actions
     [class.blur-2]="isLoading"
     layout="row"
     layout-align="start">
  <button mat-flat-button
          [disabled]="!form.valid"
          (click)="saveData()"
          color="accent">
    Save
  </button>
  <button mat-stroked-button
          (click)="dialogRef.close(false)"
          color="accent">
    Cancel
  </button>
</div>
